ata_get_identity
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_get_identity — Handler for HDIO_GET_IDENTITY ioctl

## Synopsis

`int ata_get_identity (` | struct scsi_device * | sdev,
| void __user * | arg`)`;

## Arguments

`sdev`

  SCSI device to get identify data for

`arg`

  User buffer area for identify data

## LOCKING

Defined by the SCSI layer. We don't really care.

## RETURNS

Zero on success, negative errno on error.

Prev | Up | Next
ata_sas_queuecmd | Home | ata_cmd_ioctl